Announcement

Collapse
No announcement yet.

Archive urls for forum/threads with ? not /

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Archive urls for forum/threads with ? not /

    Hi Guys,

    I recently upgraded from vb2 to vb3 and started to add google ads to my archive pages.

    I didn't change the code but discovered that my urls look like this:

    http://www.hystersisters.com/vb2/arc...x.php?f-4.html

    instead of
    http://www.hystersisters.com/vb2/arc...x.php/f-4.html

    and
    http://www.hystersisters.com/vb2/arc...?t-211617.html
    instead of
    http://www.hystersisters.com/vb2/arc.../t-211617.html

    At this point I thought I had botched something up with the archive/index.php with the google ads so I redownloaded the current vb3.0.7 (my installed version) and reuploaded the archive/index.php without the google ads.

    Nopers, still have the ? in the url instead of the /

    Any idea what has caused this and how I can fix it? (Yes, I've put the google ad index back since the urls were the same...while trying to find the fix.)
    Fan Club member for VBulletin Dev and Support Team ;)

    Hysterectomy - GirlsGetGoing.com - Fabulous Fifty

    I'm frequently asked about the skin designer for my forums. ForumSkin.com

  • #2
    The only reason that should and does happen, is if you are running php as something else besides an apache module.

    Comment


    • #3
      Okie...so let me make sure I'm clear (so I can pass this on to the sysadmin to fix this).....

      I have two servers. A DB server and a webserver. Do they both need apache with php as a module? Just the db server or just the webserver or both?
      Fan Club member for VBulletin Dev and Support Team ;)

      Hysterectomy - GirlsGetGoing.com - Fabulous Fifty

      I'm frequently asked about the skin designer for my forums. ForumSkin.com

      Comment


      • #4
        BTW, I am clueless here. My server info (via WHM) says:

        Server Version: Apache/1.3.33 (Unix) mod_auth_passthrough/1.8 mod_log_bytes/1.2 mod_bwlimited/1.4 FrontPage/5.0.2.2635 mod_ssl/2.8.22 OpenSSL/0.9.7a PHP-CGI/0.1b

        phpinfo.php says:PHP Version 4.3.11

        How can I tell if PHP is in apache module? I had assumed this was all set up properly.
        Fan Club member for VBulletin Dev and Support Team ;)

        Hysterectomy - GirlsGetGoing.com - Fabulous Fifty

        I'm frequently asked about the skin designer for my forums. ForumSkin.com

        Comment


        • #5
          PHP-CGI << thats how

          If you recompile php without phpsuexe support, (if you are running eacclerator or mmcache you might need to update these as well..) it should sort itself out. And Optimaily you want to be running php as a apache module anyway.

          Comment


          • #6
            thankee, Zachery.
            Fan Club member for VBulletin Dev and Support Team ;)

            Hysterectomy - GirlsGetGoing.com - Fabulous Fifty

            I'm frequently asked about the skin designer for my forums. ForumSkin.com

            Comment

            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
            Working...
            X